/*
 * SORR20Event.java
 *
 * Created on January 6, 2006, 4:14 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package sensor.mgpInstruments;


public class SORR20Event {
    
    /** Creates a new instance of SORR20Event */
    public SORR20Event() {
    }
    
    /**
     * Holds value of property serialNumber.
     */
    private int serialNumber;
    
    /**
     * Getter for property serialNumber.
     * @return Value of property serialNumber.
     */
    public int getSerialNumber() {
        
        return this.serialNumber;
    }
    
    /**
     * Setter for property serialNumber.
     * @param serialNumber New value of property serialNumber.
     */
    public void setSerialNumber(int serialNumber) {
        
        this.serialNumber = serialNumber;
    }
    
    /**
     * Holds value of property accumulatedDose.
     */
    private float accumulatedDose;
    
    /**
     * Getter for property accumulatedDose.
     * @return Value of property accumulatedDose.
     */
    public float getAccumulatedDose() {
        
        return this.accumulatedDose;
    }
    
    /**
     * Setter for property accumulatedDose.
     * @param accumulatedDose New value of property accumulatedDose.
     */
    public void setAccumulatedDose(float accumulatedDose) {
        
        this.accumulatedDose = accumulatedDose;
    }
    
    /**
     * Holds value of property gammaDoseRate.
     */
    private float gammaDoseRate;
    
    /**
     * Getter for property gammaDoseRate.
     * @return Value of property gammaDoseRate.
     */
    public float getGammaDoseRate() {
        
        return this.gammaDoseRate;
    }
    
    /**
     * Setter for property gammaDoseRate.
     * @param gammaDoseRate New value of property gammaDoseRate.
     */
    public void setGammaDoseRate(float gammaDoseRate) {
        
        this.gammaDoseRate = gammaDoseRate;
    }
    
    /**
     * Holds value of property accumulatedBetaDose.
     */
    private float accumulatedBetaDose;
    
    /**
     * Getter for property accumulatedBetaDose.
     * @return Value of property accumulatedBetaDose.
     */
    public float getAccumulatedBetaDose() {
        
        return this.accumulatedBetaDose;
    }
    
    /**
     * Setter for property accumulatedBetaDose.
     * @param accumulatedBetaDose New value of property accumulatedBetaDose.
     */
    public void setAccumulatedBetaDose(float accumulatedBetaDose) {
        
        this.accumulatedBetaDose = accumulatedBetaDose;
    }
    
    /**
     * Holds value of property betaDoseRate.
     */
    private float betaDoseRate;
    
    /**
     * Getter for property betaDoseRate.
     * @return Value of property betaDoseRate.
     */
    public float getBetaDoseRate() {
        
        return this.betaDoseRate;
    }
    
    /**
     * Setter for property betaDoseRate.
     * @param betaDoseRate New value of property betaDoseRate.
     */
    public void setBetaDoseRate(float betaDoseRate) {
        
        this.betaDoseRate = betaDoseRate;
    }
    
    public String toString() {
        return "MGP Instruments SOR/R-20 Dosimiter event:"
                + "\n  Serial number: " + getSerialNumber()
                + "\n  Accumulated dose: " + getAccumulatedDose() + " mrem"
                + "\n  Gamma dose rate: " + getGammaDoseRate() + " mrem/h"
                + "\n  Accumulated beta dose: " + getAccumulatedBetaDose() + " mrem"
                + "\n  Beta dose rate: " + getBetaDoseRate() + " mrem/h";
    }
}
