/*
 * Criteria.java
 *
 * Created on November 27, 2005, 10:42 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package javax.microedition.location;

public class Criteria {
    public static final int NO_REQUIREMENT = 0;
    public static final int POWER_USAGE_LOW = 1;
    public static final int POWER_USAGE_MEDIUM = 2;
    public static final int POWER_USAGE_HIGH = 3;
    
    /** Creates a new instance of Criteria */
    public Criteria() {
    }

    /**
     * Holds value of property horizontalAccuracy.
     */
    private int horizontalAccuracy;

    /**
     * Getter for property horizontalAccuracy.
     * @return Value of property horizontalAccuracy.
     */
    public int getHorizontalAccuracy() {

        return this.horizontalAccuracy;
    }

    /**
     * Setter for property horizontalAccuracy.
     * @param horizontalAccuracy New value of property horizontalAccuracy.
     */
    public void setHorizontalAccuracy(int horizontalAccuracy) {

        this.horizontalAccuracy = horizontalAccuracy;
    }

    /**
     * Holds value of property verticalAccuracy.
     */
    private int verticalAccuracy;

    /**
     * Getter for property verticalAccuracy.
     * @return Value of property verticalAccuracy.
     */
    public int getVerticalAccuracy() {

        return this.verticalAccuracy;
    }

    /**
     * Setter for property verticalAccuracy.
     * @param verticalAccuracy New value of property verticalAccuracy.
     */
    public void setVerticalAccuracy(int verticalAccuracy) {

        this.verticalAccuracy = verticalAccuracy;
    }

    /**
     * Holds value of property preferredResponseTime.
     */
    private int preferredResponseTime;

    /**
     * Getter for property preferredResponseTime.
     * @return Value of property preferredResponseTime.
     */
    public int getPreferredResponseTime() {

        return this.preferredResponseTime;
    }

    /**
     * Setter for property preferredResponseTime.
     * @param preferredResponseTime New value of property preferredResponseTime.
     */
    public void setPreferredResponseTime(int preferredResponseTime) {

        this.preferredResponseTime = preferredResponseTime;
    }

    /**
     * Holds value of property preferredPowerConsumption.
     */
    private int preferredPowerConsumption;

    /**
     * Getter for property preferredPowerConsumption.
     * @return Value of property preferredPowerConsumption.
     */
    public int getPreferredPowerConsumption() {

        return this.preferredPowerConsumption;
    }

    /**
     * Setter for property preferredPowerConsumption.
     * @param preferredPowerConsumption New value of property preferredPowerConsumption.
     */
    public void setPreferredPowerConsumption(int preferredPowerConsumption) {

        this.preferredPowerConsumption = preferredPowerConsumption;
    }

    /**
     * Holds value of property addressInfoRequired.
     */
    private boolean addressInfoRequired;

    /**
     * Getter for property addressInfoRequired.
     * @return Value of property addressInfoRequired.
     */
    public boolean isAddressInfoRequired() {

        return this.addressInfoRequired;
    }

    /**
     * Setter for property addressInfoRequired.
     * @param addressInfoRequired New value of property addressInfoRequired.
     */
    public void setAddressInfoRequired(boolean addressInfoRequired) {

        this.addressInfoRequired = addressInfoRequired;
    }

    /**
     * Holds value of property allowedToCost.
     */
    private boolean allowedToCost;

    /**
     * Getter for property allowedToCost.
     * @return Value of property allowedToCost.
     */
    public boolean isAllowedToCost() {

        return this.allowedToCost;
    }

    /**
     * Setter for property allowedToCost.
     * @param allowedToCost New value of property allowedToCost.
     */
    public void setCostAllowed(boolean allowedToCost) {

        this.allowedToCost = allowedToCost;
    }

    /**
     * Holds value of property altitudeRequired.
     */
    private boolean altitudeRequired;

    /**
     * Getter for property altitudeRequired.
     * @return Value of property altitudeRequired.
     */
    public boolean isAltitudeRequired() {

        return this.altitudeRequired;
    }

    /**
     * Setter for property altitudeRequired.
     * @param altitudeRequired New value of property altitudeRequired.
     */
    public void setAltitudeRequired(boolean altitudeRequired) {

        this.altitudeRequired = altitudeRequired;
    }

    /**
     * Holds value of property speedAndCourseRequired.
     */
    private boolean speedAndCourseRequired;

    /**
     * Getter for property speedAndCourseRequired.
     * @return Value of property speedAndCourseRequired.
     */
    public boolean isSpeedAndCourseRequired() {

        return this.speedAndCourseRequired;
    }

    /**
     * Setter for property speedAndCourseRequired.
     * @param speedAndCourseRequired New value of property speedAndCourseRequired.
     */
    public void setSpeedAndCourseRequired(boolean speedAndCourseRequired) {

        this.speedAndCourseRequired = speedAndCourseRequired;
    }
    
}
